PRINTF(1)

NOM
Printf - Formater et afficher des données

SYNOPSIS
printf FORMAT [PARAMÈTRE]...
printf OPTION

DESCRIPTION

Afficher le(s) PARAMÈTRE(s) selon le FORMAT ou exécuter en fonction de l'OPTION :

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

FORMAT contrôle la sortie de la même manière que l'instruction printf du langage C. Les séquences interprétées sont :

\"  apostrophe double

\\  contre-oblique (« backslash »)

\a  alerte (sonnerie)

\b  retour en arrière d'un caractère (« backspace »)

\c  ne plus produire de sortie

\e  escape

\f  saut de page

\n  nouvelle ligne

\r  retour chariot

\t  tabulation horizontale

\v  tabulation verticale

\NNN
    octet de valeur octale NNN (de 1 à 3 digits)

\xHH
    octet de valeur hexadécimale HH (de 1 à 2 digits)

\uHHHH
    caractère unicode (ISO/IEC 10646) de valeur hexadécimale HHHH (4 digits)

\UHHHHHHHH
    caractère unicode de valeur hexadécimale HHHHHHHH (8 digits)

%%  un caractère « % » unique

%b  PARAMÈTRE de type chaîne, avec les barres obliques « \ » protégées, sauf pour les séquences en octal de la forme \0 ou \0NNN

et toutes les spécifications de format C se terminant avec l'un des caractères diouxXfeEgGcs, les PARAMÈTREs étant d'abord convertis dans le type approprié. Les tailles de variables sont gérées.

NOTE : votre interpréteur de commandes peut avoir sa propre version de printf, qui remplace en général la version décrite ici. Veuillez vous référer à la documentation de votre interpréteur de commandes pour en connaître les options.

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Signaler toute anomalie de printf à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de printf à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
printf(3)

La documentation complète pour printf est disponible dans un manuel Texinfo. Si les programmes info et printf sont correctement installés sur votre système, la commande

    info coreutils 'printf invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.